Package org.gitana.platform.client.api

# Interface AuthenticationGrant

All Superinterfaces:
  `Copyable`, `Document`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `PlatformDocument`, `Referenceable`, `Serializable`, `TitleDescription`, `Transferable`, `TypedID`

All Known Implementing Classes:
  `AuthenticationGrantImpl`

public interface AuthenticationGrant extends PlatformDocument

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_CLIENT_ID`
`static final String`
`FIELD_ENABLED`
`static final String`
`FIELD_KEY`
`static final String`
`FIELD_PRINCIPAL_DOMAIN_ID`
`static final String`
`FIELD_PRINCIPAL_ID`
`static final String`
`FIELD_SECRET`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`String`
`getClientId()`
`boolean`
`getEnabled()`
`String`
`getKey()`
`String`
`getPrincipalDomainId()`
`String`
`getPrincipalId()`
`String`
`getSecret()`
`void`
`setClientId(String clientId)`
`void`
`setEnable(boolean enabled)`
`void`
`setKey(String key)`
`void`
`setPrincipalDomainId(String principalDomainId)`
`void`
`setPrincipalId(String principalId)`
`void`
`setSecret(String secret)`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatform, getPlatformId`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

## Field Details

### FIELD_KEY

static final String FIELD_KEY

See Also:
  - Constant Field Values

### FIELD_SECRET

static final String FIELD_SECRET

See Also:
  - Constant Field Values

### FIELD_PRINCIPAL_DOMAIN_ID

static final String FIELD_PRINCIPAL_DOMAIN_ID

See Also:
  - Constant Field Values

### FIELD_PRINCIPAL_ID

static final String FIELD_PRINCIPAL_ID

See Also:
  - Constant Field Values

### FIELD_CLIENT_ID

static final String FIELD_CLIENT_ID

See Also:
  - Constant Field Values

### FIELD_ENABLED

static final String FIELD_ENABLED

See Also:
  - Constant Field Values

## Method Details

### getKey

String getKey()

### setKey

void setKey(String key)

### getSecret

String getSecret()

### setSecret

void setSecret(String secret)

### getPrincipalId

String getPrincipalId()

### setPrincipalId

void setPrincipalId(String principalId)

### getPrincipalDomainId

String getPrincipalDomainId()

### setPrincipalDomainId

void setPrincipalDomainId(String principalDomainId)

### getClientId

String getClientId()

### setClientId

void setClientId(String clientId)

### getEnabled

boolean getEnabled()

### setEnable

void setEnable(boolean enabled)